package com.sf.day07;

/**
 * 学生类
 */
public class Student {

    /**
     * 类中：
     *      属性
     *      方法
     *      构造器：
     *          1、对象的创建     new   xxx();
     *          2、属性的赋值
     */

    public int number;//学号
   public int state;//年级
   public int score;//成绩


    /**
     * public Student(){
     *
     * }
     */




    public Student(){  //无参构造器

    }

    public Student(int number, int state, int score) {
        this.number = number;
        this.state = state;
        this.score = score;
    }


    public Student(int number){
        this.number = number;
    }

    @Override
    public String toString() {
        return "Student{" +
                "number=" + number +
                ", state=" + state +
                ", score=" + score +
                '}';
    }
}
